Loading...
Searching...
No Matches
Catch::Clara::Help Struct Reference

`#include <catch_amalgamated.hpp>`

Inheritance diagram for Catch::Clara::Help:
[legend]
Collaboration diagram for Catch::Clara::Help:
[legend]

## Public Member Functions

| Help (bool &showHelpFlag)
Public Member Functions inherited from Catch::Clara::Opt
template<typename LambdaT>
| Opt (LambdaT const &ref)
| Opt (bool &ref)
template<typename LambdaT, typename = typename std::enable_if_t< Detail::is_unary_function<LambdaT>::value>>
| Opt (LambdaT const &ref, StringRef hint)
template<typename LambdaT>
| Opt (accept_many_t, LambdaT const &ref, StringRef hint)
template<typename T, typename = typename std::enable_if_t< !Detail::is_unary_function<T>::value>>
| Opt (T &ref, StringRef hint)
Opt & | operator[] (StringRef optName) &
Opt && | operator[] (StringRef optName) &&
Detail::HelpColumns | getHelpColumns () const
bool | isMatch (StringRef optToken) const
Detail::InternalParseResult | parse (std::string const &, Detail::TokenStream tokens) const override
Detail::Result | validate () const override
Public Member Functions inherited from Catch::Clara::Detail::ParserRefImpl< Opt >
| ParserRefImpl (accept_many_t, LambdaT const &ref, StringRef hint)
| ParserRefImpl (T &ref, StringRef hint)
| ParserRefImpl (LambdaT const &ref, StringRef hint)
Opt & | operator() (StringRef description) &
Opt && | operator() (StringRef description) &&
auto | optional () -> Opt &
auto | required () -> Opt &
auto | isOptional () const -> bool
auto | cardinality () const -> size_t override
StringRef | hint () const
Public Member Functions inherited from Catch::Clara::Detail::ComposableParserImpl< Opt >
Parser | operator| (T const &other) const
auto | operator| (T const &other) const -> Parser
Parser | operator| (T const &other) const
Public Member Functions inherited from Catch::Clara::Detail::ParserBase
virtual | ~ParserBase ()=default
InternalParseResult | parse (Args const &args) const

## Additional Inherited Members

Protected Member Functions inherited from Catch::Clara::Detail::ParserRefImpl< Opt >
| ParserRefImpl (std::shared_ptr< BoundRef > const &ref)
Protected Attributes inherited from Catch::Clara::Opt
std::vector< StringRef > | m_optNames
Protected Attributes inherited from Catch::Clara::Detail::ParserRefImpl< Opt >
Optionality | m_optionality
std::shared_ptr< BoundRef > | m_ref
StringRef | m_hint
StringRef | m_description

## Constructor & Destructor Documentation

## Help()

Catch::Clara::Help::Help | ( | bool & | showHelpFlag | ) |

Here is the call graph for this function:

The documentation for this struct was generated from the following files:

- tests/vendor/catch_amalgamated.hpp
- tests/vendor/catch_amalgamated.cpp